HomeGuidesAPI ReferenceChangelog
Log In
Guides

Baseline Regions

Identify tariffs with baseline regions and choose the correct territoryId for rate calculations.

Some tariffs vary by baseline region; use the territoryId property to align calculation rates with the customer’s location.

Check whether a tariff has baseline regions

Each tariff in our database includes a list of tariff properties, which can be found in the properties list in the JSON response. You can request these properties to be returned in the results of the Get Tariffs API by including populateProperties=true in your request. If you find a territoryId property in the returned list with a propertyTypes value of RATE_CRITERIA, then at least one rate on the tariff varies according to the customer's location within the utility's service area. This means it has a baseline region.

Learn more about other rate criteria in Improving Accuracy with Rate Criteria Properties.

When you encounter this situation, you can explicitly pass a territoryId to the calculator or allow the calculator to default it. Arcadia makes an effort to set default values for most rate criteria, but we highly recommend reviewing and making adjustments to improve the results of your calculations.

Find available baseline territories for a customer

You can retrieve a list of territories for a customer by using our Territory API. Here's an example to retrieve a list of territories for Southern California Edison (lseId: 1228) with the zip code 92407. Importantly, we are requesting only the baseline region territories by including the request parameter usageType with a value of TARIFF (Tariff types denote baseline regions, as opposed to service areas, utility climate zones, and other types of territories):

GET /rest/public/territories?lseId=1228&zipCode=92407&country=US&usageType=TARIFF

The response returns Baseline Region 10 (territoryId: 5) and Baseline Region 16 (territoryId: 9):

{  
    "territoryId": 5,  
    "territoryName": "Baseline Region 10",  
    "lseId": 1228,  
    "lseName": "Southern California Edison Co",  
    "parentTerritoryId": 1362,  
    "usageType": "TARIFF",  
    "itemTypes": "CITY",  
    "deregRes": false,  
    "deregCandi": false,  
    "centerPoint": {  
        "latitude": 33.93300848031497,  
        "longitude": -117.3344177637795  
    }  
},  
{  
    "territoryId": 9,  
    "territoryName": "Baseline Region 16",  
    "lseId": 1228,  
    "lseName": "Southern California Edison Co",  
    "parentTerritoryId": 1362,  
    "usageType": "TARIFF",  
    "itemTypes": "CITY",  
    "deregRes": false,  
    "deregCandi": false,  
    "centerPoint": {  
        "latitude": 34.71016330481286,  
        "longitude": -117.95372556684482  
    }  
}

In the case above, two territories are returned. If you have a bill for your customer, you can often find the baseline region indicated on it. Using the bill context will help you dial in the tariff property values you need to supply for optimizing the calculation engine's response.

Check which territory was defaulted

When a calculation requires a territory to select the correct subset of rates, a default territory is selected. The territoryId used is returned in the assumptions section of the calculation response.

If the accuracy is less than 100, the calculator defaulted the value. To use a different territory, pass a territoryId into the calculator's propertyInputs. The assumptions section will show an accuracy of 100 when you explicitly pass the value. The assumptions list is a valuable resource for identifying what context the calculation engine is using and where misalignments can be corrected with more fine-tuning.

Related guides